import { Component } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';

@Component({
	selector: 'app-root', // should be same as tag in index.html
	template: '<router-outlet></router-outlet>'
})
export class AppComponent {
	title = 'app';
	constructor(_translate: TranslateService) {
		// this language will be used as a fallback when a translation isn't found in the current language
		_translate.setDefaultLang('en');

		// the lang to use, if the lang isn't available, it will use the current loader to get them
		_translate.use(_translate.getBrowserLang());
	}
}
