import { Component } from '@angular/core';

import { AuthService } from '../auth.service'

/**
 * Login view.
 */
@Component({
	selector: 'app-login',
	templateUrl: './login.component.html',
	styleUrls: ['./login.component.scss']
})
export class LoginComponent {

	public server: string = 'http://localhost';
	public username: string = '';
	public password: string = '';
	public errorMsg: string = '';
	public loading: boolean = false;

	constructor(
		private _service: AuthService) {

		this._service.errorMsg.subscribe(
			(err: string) => {
				this.errorMsg = err;
			});
	}

	/**
	 * Login implementation.
	 */
	login(): void {
		this.loading = true;
		this._service.login(this.server, this.username, this.password).then(
			() => {
				this.loading = false;
			},
			(err: any) => {
				this.loading = false;
			});
	}
}
