import { PDFJS } from 'pdfjs-dist/web/pdf_viewer';
import { Component, Input } from '@angular/core';

@Component({
	selector: 'app-pdf-viewer',
	templateUrl: './pdf-viewer.component.html',
	styleUrls: ['./pdf-viewer.component.scss']
})
export class PdfViewerComponent {

	constructor() { }

	/**
	 * Opens a pdf-document using PDF.js.
	 * See details here: https://mozilla.github.io/pdf.js/
	 */
	@Input()
	set src(src) {
		var viewerContainer = document.getElementById('pdfContainer');
		var pdfLinkService = new PDFJS.PDFLinkService();
		var pdfViewer = new PDFJS.PDFViewer({
			container: viewerContainer,
			linkService: pdfLinkService,
		});
		pdfLinkService.setViewer(pdfViewer);

		PDFJS.getDocument(src).then(function (pdfDocument) {
			pdfViewer.setDocument(pdfDocument);
			pdfLinkService.setDocument(pdfDocument, null);
		});
	}
}
